[arch-commits] Commit in eclipse/repos (5 files)

Paul Mattal paul at archlinux.org
Tue Jun 2 17:19:59 EDT 2009


    Date: Tuesday, June 2, 2009 @ 17:19:59
  Author: paul
Revision: 41323

Merged revisions 37417,37545,40742,41322 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/eclipse/trunk

........
  r37417 | paul | 2009-05-01 10:24:59 -0400 (Fri, 01 May 2009) | 2 lines
  
  upgpkg: eclipse 3.4.2-1
      update to 3.4.2
........
  r37545 | jgc | 2009-05-02 17:21:39 -0400 (Sat, 02 May 2009) | 1 line
  
  Remove update-desktop-database call. Remove profile.d script, use a launcher script
........
  r40742 | paul | 2009-05-30 16:02:34 -0400 (Sat, 30 May 2009) | 2 lines
  
  upgpkg: eclipse 3.4.2-3
      tweaked PKGBUILD to work with repo update scripts
........
  r41322 | paul | 2009-06-02 17:19:39 -0400 (Tue, 02 Jun 2009) | 2 lines
  
  upgpkg: eclipse 3.4.2-4
      FS#14747: fixed icon links in permanent manner
........

Modified:
  eclipse/repos/extra-i686/	(properties)
  eclipse/repos/extra-i686/PKGBUILD
  eclipse/repos/extra-i686/eclipse.desktop
  eclipse/repos/extra-i686/eclipse.install
  eclipse/repos/extra-i686/eclipse.sh

-----------------+
 PKGBUILD        |   62 +++++++++++++++++++++++++++---------------------------
 eclipse.desktop |    4 +--
 eclipse.install |    2 -
 eclipse.sh      |    3 --
 4 files changed, 35 insertions(+), 36 deletions(-)


Property changes on: eclipse/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /eclipse/trunk:1-37096
   + /eclipse/trunk:1-41322

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-06-02 21:19:39 UTC (rev 41322)
+++ extra-i686/PKGBUILD	2009-06-02 21:19:59 UTC (rev 41323)
@@ -5,53 +5,55 @@
 
 pkgname=eclipse
 pkgver=3.4.2
-pkgrel=1
+pkgrel=4
+_date=200902111700
 pkgdesc="An IDE for Java and other languages"
 arch=('i686' 'x86_64')
 url="http://eclipse.org"
-depends=('java-environment' gtk2 unzip xulrunner 'desktop-file-utils')
+depends=('java-environment>=6' 'gtk2>=2.16.1' 'unzip' 'xulrunner>=1.9.0.10')
 install=eclipse.install
-makedepends=(zip)
+makedepends=('zip')
 license=("EPL/1.1")
 if [ "$CARCH" = "x86_64" ]; then
-    _arch=-x86_64
-md5sums=('e068a144117bf83a3a4ef62022f47af6'
-         '78db5f9dfd844288afd49e0f357dd539'
-         'cbf880d22bfd4a34c5f6433007ed90f2'
+source=(ftp://ftp.osuosl.org/pub/eclipse/eclipse/downloads/drops/R-${pkgver}-${_date}/eclipse-SDK-$pkgver-linux-gtk-x86_64.tar.gz
+            eclipse.sh
+            eclipse.desktop
+	    eclipse.ini.patch)
+md5sums=('a9b5451901acee28f935852b1cbc9278'
+         '85109e54a3ea8bc39e312526e7baaa3a'
+         'd88490571b49c8ebb221ed349815d040'
          'ee66a334bc443fd23ad9bc080dc6ea69')
 else
+source=(ftp://ftp.osuosl.org/pub/eclipse/eclipse/downloads/drops/R-${pkgver}-${_date}/eclipse-SDK-$pkgver-linux-gtk.tar.gz
+            eclipse.sh
+            eclipse.desktop
+	    eclipse.ini.patch)
 md5sums=('a131aa4fc6c858be4fc17f6d4bdb7089'
-         '78db5f9dfd844288afd49e0f357dd539'
-         'cbf880d22bfd4a34c5f6433007ed90f2'
+         '85109e54a3ea8bc39e312526e7baaa3a'
+         'd88490571b49c8ebb221ed349815d040'
          'ee66a334bc443fd23ad9bc080dc6ea69')
 fi
-source=(ftp://ftp.osuosl.org/pub/eclipse/eclipse/downloads/drops/R-3.4.2-200902111700/eclipse-SDK-$pkgver-linux-gtk$_arch.tar.gz
-            eclipse.sh
-            eclipse.desktop
-	    eclipse.ini.patch)
 
 build() {
-  cd $startdir/src/eclipse || return 1
+  cd "${srcdir}/eclipse" || return 1
 
   # patch to increase default memory limits
-  patch -p0 < ../eclipse.ini.patch || return 1
+  patch -Np0 -i "${srcdir}/eclipse.ini.patch" || return 1
 
   # install eclipse
-  mkdir -p $startdir/pkg/usr/share || return 1
-  mv $startdir/src/eclipse $startdir/pkg/usr/share || return 1
+  install -m755 -d "${pkgdir}/usr/share"
+  mv "${srcdir}/eclipse" "${pkgdir}/usr/share/" || return 1
 
   # install misc
-  mkdir -p $startdir/pkg/etc/profile.d $startdir/pkg/usr/share/applications \
-    $startdir/pkg/usr/share/icons/hicolor/{16x16,32x32,48x48}/apps \
-  	|| return 1
-  install -m755 $startdir/src/eclipse.sh \
-  	$startdir/pkg/etc/profile.d/eclipse.sh || return 1
-  install -m644 $startdir/src/eclipse.desktop \
-  	$startdir/pkg/usr/share/applications/eclipse.desktop || return 1
-  ln -s /usr/share/eclipse/plugins/org.eclipse.sdk_3.4.1.v200809111700/eclipse.png \
-    $startdir/pkg/usr/share/icons/hicolor/16x16/apps/eclipse.png || return 1
-  ln -s /usr/share/eclipse/plugins/org.eclipse.sdk_3.4.1.v200809111700/eclipse32.png \
-    $startdir/pkg/usr/share/icons/hicolor/32x32/apps/eclipse.png || return 1
-  ln -s /usr/share/eclipse/plugins/org.eclipse.sdk_3.4.1.v200809111700/eclipse48.png \
-    $startdir/pkg/usr/share/icons/hicolor/48x48/apps/eclipse.png || return 1
+  mkdir -p ${pkgdir}/usr/bin ${pkgdir}/usr/share/applications \
+    ${pkgdir}/usr/share/icons/hicolor/{16x16,32x32,48x48}/apps || return 1
+  install -m755 "${srcdir}/eclipse.sh" "${pkgdir}/usr/bin/eclipse" || return 1
+  install -m644 "${srcdir}/eclipse.desktop" "${pkgdir}/usr/share/applications/" || return 1
+  ln -s /usr/share/eclipse/plugins/org.eclipse.sdk_${pkgver}.v${_date}/eclipse.png \
+    "${pkgdir}/usr/share/icons/hicolor/16x16/apps/eclipse.png" || return 1
+  ln -s /usr/share/eclipse/plugins/org.eclipse.sdk_${pkgver}.v${_date}/eclipse32.png \
+    "${pkgdir}/usr/share/icons/hicolor/32x32/apps/eclipse.png" || return 1
+  ln -s /usr/share/eclipse/plugins/org.eclipse.sdk_${pkgver}.v${_date}/eclipse48.png \
+    "${pkgdir}/usr/share/icons/hicolor/48x48/apps/eclipse.png" || return 1
+
 }

Modified: extra-i686/eclipse.desktop
===================================================================
--- extra-i686/eclipse.desktop	2009-06-02 21:19:39 UTC (rev 41322)
+++ extra-i686/eclipse.desktop	2009-06-02 21:19:59 UTC (rev 41323)
@@ -2,8 +2,8 @@
 Name=Eclipse
 Comment=A Java Development Environment
 Icon=eclipse
-Exec=/usr/share/eclipse/eclipse
+Exec=eclipse
 Terminal=false
 Type=Application
-Categories=GNOME;Application;Development
+Categories=GNOME;Application;Development;
 StartupNotify=true

Modified: extra-i686/eclipse.install
===================================================================
--- extra-i686/eclipse.install	2009-06-02 21:19:39 UTC (rev 41322)
+++ extra-i686/eclipse.install	2009-06-02 21:19:59 UTC (rev 41323)
@@ -7,7 +7,6 @@
   # See http://aur.archlinux.org/packages.php?ID=12173
   xulrunner --register-global >/dev/null 2>&1
 
-  update-desktop-database >/dev/null 2>&1
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
 
@@ -19,6 +18,5 @@
 
 # arg 1:  the old package version
 post_remove() {
-  update-desktop-database >/dev/null 2>&1
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }

Modified: extra-i686/eclipse.sh
===================================================================
--- extra-i686/eclipse.sh	2009-06-02 21:19:39 UTC (rev 41322)
+++ extra-i686/eclipse.sh	2009-06-02 21:19:59 UTC (rev 41323)
@@ -1,4 +1,3 @@
 #!/bin/bash
-
 export ECLIPSE_HOME=/usr/share/eclipse
-export PATH=$PATH:$ECLIPSE_HOME
+${ECLIPSE_HOME}/eclipse $@



More information about the arch-commits mailing list